使用vagrant Stderr时:VBoxManage:错误:VT-x不可用(VERR_VMX_NO_VMX)

Modified on: Thu, 14 Jun 2018 06:38:23 +0800

我正在尝试使用ubunty 16.04安装open edx,我收到此错误

There was an error while executing `VBoxManage`, a CLI used by Vagrant
for controlling VirtualBox. The command and stderr is shown below.

Command: ["startvm", "c60f0594-d584-4e0b-b863-2801168e641e", "--type", "headless"]

Stderr: VBoxManage: error: VT-x is not available (VERR_VMX_NO_VMX)
VBoxManage: error: Details: code NS_ERROR_FAILURE (0x80004005), component ConsoleWrap, interface IConsole

使用vagrant up

时会发生这种情况

最佳答案

这通常是因为您的BIOS中未启用VT-x或AMD-V。或者更糟糕的是,您的CPU不支持虚拟化。

您可以通过安装cpu-checker进一步测试。

sudo apt-get install cpu-checker

跟随。

sudo kvm-ok

输出应该能够告诉你你需要什么。

请记住,vt-x不能嵌套,例如,假设您尝试在云实例上运行流浪汉,根据我的经验无法工作。至少,对于64位操作系统。然而,你将能够运行32位,这将是一个单核和可怕的性能。

作者:bc2946088

相关问答

添加新评论